package kr.co.zumo.app.lifeplus.util;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.robolectric.RobolectricTestRunner;

import static junit.framework.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;

/**
 * ResourceUtilTest
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 9. 12.]   [최초 작성]
 * @since 2018. 9. 12.
 */
@RunWith(RobolectricTestRunner.class)
public class ResourceUtilTest {

  @Test(expected = NullPointerException.class)
  public void getId() {
    assertNotNull(ResourceUtil.getId("FUNCTION"));
    assertEquals(0, ResourceUtil.getId(""));
    // exception
    assertEquals(0, ResourceUtil.getId(null));
  }
}